import os
from app import app
import logging
from config import config


def setup_logging():
    logging.basicConfig(format='%(asctime)s [%(levelname)s]: %(message)s', level=logging.INFO)

if __name__ == '__main__':
    c = config[os.getenv('FLASK_CONFIG') or 'default']

    DEBUG = c.DEBUG
    DEBUG = os.environ.get('DEBUG', DEBUG)

    setup_logging()
    app.run(debug=DEBUG, host='0.0.0.0')
